clag2z.f(3)

NAME
clag2z.f -

SYNOPSIS

  Functions/Subroutines
subroutine CLAG2Z (M, N, SA, LDSA, A, LDA, INFO)
CLAG2Z

Function/Subroutine Documentation

  subroutine CLAG2Z (INTEGERM, INTEGERN, COMPLEX, dimension( ldsa, * )SA, INTEGERLDSA, COMPLEX*16, dimension( lda, * )A, INTEGERLDA, INTEGERINFO)

CLAG2Z

Purpose:

     CLAG2Z converts a COMPLEX matrix, SA, to a COMPLEX*16 matrix, A.
     Note that while it is possible to overflow while converting
     from double to single, it is not possible to overflow when
     converting from single to double.
     This is an auxiliary routine so there is no argument checking.

Parameters:
    M

              M is INTEGER
              The number of lines of the matrix A.  M >= 0.

    N

              N is INTEGER
              The number of columns of the matrix A.  N >= 0.

    SA

              SA is COMPLEX array, dimension (LDSA,N)
              On entry, the M-by-N coefficient matrix SA.

    LDSA

              LDSA is INTEGER
              The leading dimension of the array SA.  LDSA >= max(1,M).

    A

              A is COMPLEX*16 array, dimension (LDA,N)
              On exit, the M-by-N coefficient matrix A.

    LDA

              LDA is INTEGER
              The leading dimension of the array A.  LDA >= max(1,M).

    INFO

              INFO is INTEGER
              = 0:  successful exit

Author:
    Univ'. of Tennessee

    Univ'. of California Berkeley

    Univ'. of Colorado Denver

    NAG Ltd'.

Date:
    November 2011

Definition at line 104 of file clag2z.f'.

Author

Generated automatically by Doxygen for LAPACK from the source code'.